import { IoMessageCode } from '../io-message';
/**
 * We have a rough system by which we assign message codes:
 * - First digit groups messages by action, e.g. synth or deploy
 * - X000-X009 are reserved for timings
 * - X900-X999 are reserved for results
 */
export declare const CODES: {
    CDK_TOOLKIT_I1000: string;
    CDK_TOOLKIT_I1901: string;
    CDK_TOOLKIT_I1902: string;
    CDK_TOOLKIT_I2901: string;
    CDK_TOOLKIT_E3900: string;
    CDK_TOOLKIT_I5000: string;
    CDK_TOOLKIT_I5001: string;
    CDK_TOOLKIT_I5002: string;
    CDK_TOOLKIT_I5031: string;
    CDK_TOOLKIT_I5050: string;
    CDK_TOOLKIT_I5060: string;
    CDK_TOOLKIT_I5900: string;
    CDK_TOOLKIT_E5001: string;
    CDK_TOOLKIT_I6000: string;
    CDK_TOOLKIT_E6001: string;
    CDK_TOOLKIT_E6900: string;
    CDK_TOOLKIT_I7000: string;
    CDK_TOOLKIT_I7010: string;
    CDK_TOOLKIT_E7010: string;
    CDK_TOOLKIT_E7900: string;
    CDK_ASSEMBLY_I0042: string;
    CDK_ASSEMBLY_I0241: string;
    CDK_ASSEMBLY_I1000: string;
    CDK_ASSEMBLY_I1001: string;
    CDK_ASSEMBLY_E1002: string;
    CDK_ASSEMBLY_I1003: string;
    CDK_ASSEMBLY_E1111: string;
};
export type VALID_CODE = keyof typeof CODES & IoMessageCode;
