import { ActionAwareIoHost } from './types';
/**
 * Helper class to measure the time of code.
 */
export declare class Timer {
    /**
     * Start the timer.
     * @return the timer instance
     */
    static start(): Timer;
    private readonly startTime;
    private constructor();
    /**
     * End the current timer.
     * @returns the elapsed time
     */
    end(): {
        asMs: number;
        asSec: number;
    };
    /**
     * Ends the current timer as a specified timing and notifies the IoHost.
     * @returns the elapsed time
     */
    endAs(ioHost: ActionAwareIoHost, type: 'synth' | 'deploy' | 'rollback' | 'destroy'): Promise<{
        asMs: number;
        asSec: number;
    }>;
}
